Drop-in ჩანაცვლება
თავსებადიმუშაობს OpenAI და Anthropic SDK-ებთან. უბრალოდ შეცვალეთ base URL.
ყველა ენა თანასწორია. აირჩიეთ ის, რომლითაც გსურთ დათვალიერება.
OpenAI და Anthropic თავსებადი AI API ფუნქციის გამოძახებით, ვებძიებით და სტრუქტურირებული შედეგებით.
ყველაფერი, რაც საჭიროა Shannon-ის OpenAI და Anthropic თავსებად API-თან დასაწყებად.
https://api.shannon-ai.com/v1/chat/completions გამოიყენეთ Chat Completions API ფუნქციის გამოძახებით და სტრიმინგით.
https://api.shannon-ai.com/v1/messages Claude Messages ფორმატი ინსტრუმენტებით და anthropic-version ჰედერით.
Authorization: Bearer <api-key> ან X-API-Key და anthropic-version Claude-სტილის გამოძახებებისთვის.
საჯარო დოკუმენტაცია - გამოძახებისთვის საჭიროა გასაღები სტრიმინგი, ფუნქციის გამოძახება, სტრუქტურირებული შედეგები, ვებძიება.
Drop-in ჩანაცვლება OpenAI და Anthropic API-ებისთვის ინსტრუმენტების, სტრუქტურირებული შედეგებისა და ჩაშენებული ვებძიების მხარდაჭერით.
მუშაობს OpenAI და Anthropic SDK-ებთან. უბრალოდ შეცვალეთ base URL.
განსაზღვრეთ ინსტრუმენტები, Shannon-მა თავად გამოიძახოს. მხარს უჭერს auto, forced და none რეჟიმებს.
რეალურ დროში ვებძიება წყაროების მითითებით. ავტომატურად ხელმისაწვდომია.
JSON რეჟიმი და JSON Schema იძულებით გამოყენება სანდო მონაცემთა ამოსაღებად.
ფუნქციების ავტომატური შესრულების ციკლები. თითო მოთხოვნაზე 10-მდე იტერაცია.
Server-sent events რეალურ დროში ტოკენების სტრიმინგისთვის.
დაიწყეთ სამ ნაბიჯში. Shannon ასახავს OpenAI და Anthropic კლიენტებს.
გამოიყენეთ OpenAI-თან თავსებადი ენდპოინტი.
https://api.shannon-ai.com/v1/chat/completions Authorization ჰედერში გამოიყენეთ Bearer ავთენტიკაცია.
აირჩიეთ ენა და შეცვალეთ თქვენი გასაღები.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'system', content: 'You are a helpful assistant.' },
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-1.6-lite",
Messages: []openai.ChatCompletionMessage{
{Role: "system", Content: "You are a helpful assistant."},
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-1.6-lite",
"messages": [
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' {
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1234567890,
"model": "Shannon 1.6 Lite",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 25,
"completion_tokens": 18,
"total_tokens": 43
}
} Shannon API პირდაპირ ბრაუზერში გამოცადეთ. ააწყეთ მოთხოვნა, გაუშვით და ნახეთ პასუხი რეალურ დროში.
Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.
Run real requests, inspect raw JSON, and view stream events from the same operator console.
Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.
/ka/docs/playground The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.
ყველა API მოთხოვნა მოითხოვს ავთენტიკაციას თქვენი Shannon API გასაღებით.
Authorization: Bearer YOUR_API_KEY X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01 Shannon გთავაზობთ სხვადასხვა შემთხვევებისთვის ოპტიმიზებულ რამდენიმე მოდელს.
shannon-1.6-lite Shannon 1.6 Lite სწრაფი და ეფექტური პასუხები ყოველდღიური ამოცანებისთვის
shannon-1.6-pro Shannon 1.6 Pro რთული პრობლემებისთვის გაუმჯობესებული მსჯელობა
shannon-2-lite Shannon 2 Lite
shannon-2-pro Shannon 2 Pro
shannon-coder-1 Shannon Coder Claude Code CLI-ისთვის ოპტიმიზებული, გამოძახების კვოტით
განსაზღვრეთ ინსტრუმენტები, რომელთა გამოძახებაც შეუძლია Shannon-ს მოქმედებების შესასრულებლად ან ინფორმაციის მისაღებად.
from openai import OpenAI
import json
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Define available tools/functions
tools = [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "Get current weather for a location",
"parameters": {
"type": "object",
"properties": {
"location": {
"type": "string",
"description": "City name, e.g., 'Tokyo'"
},
"unit": {
"type": "string",
"enum": ["celsius", "fahrenheit"]
}
},
"required": ["location"]
}
}
}
]
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
tools=tools,
tool_choice="auto"
)
# Check if model wants to call a function
if response.choices[0].message.tool_calls:
tool_call = response.choices[0].message.tool_calls[0]
print(f"Function: {tool_call.function.name}")
print(f"Arguments: {tool_call.function.arguments}") import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const tools = [
{
type: 'function',
function: {
name: 'get_weather',
description: 'Get current weather for a location',
parameters: {
type: 'object',
properties: {
location: { type: 'string', description: "City name" },
unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
},
required: ['location']
}
}
}
];
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
tools,
tool_choice: 'auto'
});
if (response.choices[0].message.tool_calls) {
const toolCall = response.choices[0].message.tool_calls[0];
console.log('Function:', toolCall.function.name);
console.log('Arguments:', toolCall.function.arguments);
} "auto" მოდელი გადაწყვეტს, გამოიძახოს თუ არა ფუნქცია (ნაგულისხმევი) "none" გამორთეთ ფუნქციის გამოძახება ამ მოთხოვნისთვის {"type": "function", "function": {"name": "..."}} მოითხოვეთ კონკრეტული ფუნქციის გამოძახება {
"id": "chatcmpl-xyz",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": null,
"tool_calls": [
{
"id": "call_abc123",
"type": "function",
"function": {
"name": "get_weather",
"arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
}
}
]
},
"finish_reason": "tool_calls"
}
]
} აიძულეთ Shannon, დააბრუნოს ვალიდური JSON, რომელიც თქვენს სქემას ემთხვევა.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Force JSON output with schema
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
],
response_format={
"type": "json_schema",
"json_schema": {
"name": "person_info",
"schema": {
"type": "object",
"properties": {
"name": {"type": "string"},
"age": {"type": "integer"},
"occupation": {"type": "string"}
},
"required": ["name", "age", "occupation"]
}
}
}
)
import json
data = json.loads(response.choices[0].message.content)
print(data) # {"name": "John Doe", "age": 30, "occupation": "engineer"} import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
],
response_format: {
type: 'json_schema',
json_schema: {
name: 'person_info',
schema: {
type: 'object',
properties: {
name: { type: 'string' },
age: { type: 'integer' },
occupation: { type: 'string' }
},
required: ['name', 'age', 'occupation']
}
}
}
});
const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" } {"type": "json_object"} ვალიდური JSON-ის იძულება (სქემის გარეშე) {"type": "json_schema", "json_schema": {...}} ზუსტად თქვენი სქემის შესაბამისი გამოსავალის იძულება ჩართეთ რეალურ დროში ტოკენების სტრიმინგი Server-Sent Events-ით სწრაფი UI-ებისთვის.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Enable streaming for real-time responses
stream = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Write a short poem about AI"}
],
stream=True
)
for chunk in stream:
if chunk.choices[0].delta.content:
print(chunk.choices[0].delta.content, end="", flush=True) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Write a short poem about AI' }
],
stream: true
});
for await (const chunk of stream) {
const content = chunk.choices[0]?.delta?.content;
if (content) process.stdout.write(content);
} Shannon მოიცავს ჩაშენებულ web_search ფუნქციას, რომელიც ავტომატურად ხელმისაწვდომია.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Web search is automatically available!
# Shannon will use it when needed for current information
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "What are the latest AI news today?"}
],
# Optionally, explicitly define web_search tool
tools=[{
"type": "function",
"function": {
"name": "web_search",
"description": "Search the web for current information",
"parameters": {
"type": "object",
"properties": {
"query": {"type": "string", "description": "Search query"}
},
"required": ["query"]
}
}
}]
)
print(response.choices[0].message.content)
# Response includes sources and citations import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Web search is automatically available!
// Shannon will use it when needed for current information
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'What are the latest AI news today?' }
],
// Optionally, explicitly define web_search tool
tools: [{
type: 'function',
function: {
name: 'web_search',
description: 'Search the web for current information',
parameters: {
type: 'object',
properties: {
query: { type: 'string', description: 'Search query' }
},
required: ['query']
}
}
}]
});
console.log(response.choices[0].message.content);
// Response includes sources and citations Shannon ასევე მხარს უჭერს Anthropic Messages API ფორმატს.
https://api.shannon-ai.com/v1/messages import anthropic
client = anthropic.Anthropic(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/messages"
)
response = client.messages.create(
model="shannon-1.6-lite",
max_tokens=1024,
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
# Tool use (Anthropic format)
tools=[{
"name": "web_search",
"description": "Search the web",
"input_schema": {
"type": "object",
"properties": {
"query": {"type": "string"}
},
"required": ["query"]
}
}]
)
print(response.content[0].text) import Anthropic from '@anthropic-ai/sdk';
const client = new Anthropic({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/messages'
});
const response = await client.messages.create({
model: 'shannon-1.6-lite',
max_tokens: 1024,
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
// Tool use (Anthropic format)
tools: [{
name: 'web_search',
description: 'Search the web',
input_schema: {
type: 'object',
properties: {
query: { type: 'string' }
},
required: ['query']
}
}]
});
console.log(response.content[0].text); გამოიყენეთ ნებისმიერი OpenAI ან Anthropic SDK — უბრალოდ შეცვალეთ base URL.
ოფიციალური OpenAI Python SDK — მუშაობს Shannon-თან
pip install openai ოფიციალური OpenAI Node.js SDK — მუშაობს Shannon-თან
npm install openai საზოგადოებრივი Go კლიენტი OpenAI-თან თავსებადი API-ებისთვის
go get github.com/sashabaranov/go-openai საზოგადოებრივი Ruby კლიენტი OpenAI-თან თავსებადი API-ებისთვის
gem install ruby-openai საზოგადოებრივი PHP კლიენტი OpenAI-თან თავსებადი API-ებისთვის
composer require openai-php/client Async Rust კლიენტი OpenAI-თან თავსებადი API-ებისთვის
cargo add async-openai ოფიციალური Anthropic Python SDK — მუშაობს Shannon-თან
pip install anthropic ოფიციალური Anthropic TypeScript SDK — მუშაობს Shannon-თან
npm install @anthropic-ai/sdk Shannon იყენებს სტანდარტულ HTTP სტატუს კოდებს და აბრუნებს დეტალურ შეცდომის შეტყობინებებს.
{
"error": {
"message": "Invalid API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
} Shannon API-ის უახლესი განახლებები და გაუმჯობესებები.
YOUR_API_KEY შეინახეთ თქვენი API გასაღები საიდუმლოდ. ხელახლა გენერირება ქმნის ახალ გასაღებს და ძველს აუქმებს.
როდესაც შესული ხართ, ამ გვერდზე ნახავთ ტოკენებისა და ძიების ხარჯს.
Shannon Coder (shannon-coder-1)-ის გამოძახებაზე დაფუძნებული კვოტა. განახლდება ყოველ 4 საათში.
მიიღეთ თქვენი API გასაღები და დაიწყეთ შენება Shannon AI-თან დღესვე.
პოპულარული ძებნები: